const  mongoose = require('mongoose');

const  Schema = mongoose.Schema;

const ALResultsSchema = new Schema({
    student_id:{type:mongoose.Schema.Types.ObjectId,ref: 'students'},
    year:{type:String,required:false},
    stream: {type:String,required:true},
    Subjects : {type:Object},
    generalEnglish:{type:String},
    commonGeneralTest:{type:String},
    image:{type:String},
    verified: {
        type: Boolean,
        default: false
    }
});


const ALevelResults = mongoose.model('ALevelResults',ALResultsSchema);

module.exports = ALevelResults;